require 'source/utils/text'

-- WORLD 1: BLUE

levels[1] = {
	{ name = "wall", arguments = {0, 0, 2500, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 800} },
	{ name = "wall", arguments = {1500, 1000, 1000, 800} },
	{ name = "wall", arguments = {0, 1800, 2500, 1000} },
	{ name = "wall", arguments = {1000, 1000, 150, 200} },
	{ name = "wall", arguments = {1350, 1000, 150, 200} },
	{ name = "wall", arguments = {1000, 1350, 100, 100} },
	{ name = "wall", arguments = {1200, 1350, 100, 100} },
	{ name = "wall", arguments = {1400, 1350, 100, 100} },
	{ name = "wall", arguments = {1000, 1600, 150, 200} },
	{ name = "wall", arguments = {1350, 1600, 150, 200} },
	{ name = "spark", arguments = {1150, 1400} },
	{ name = "spark", arguments = {1350, 1400} },
	{ name = "text", arguments = {text[1][1][1], 1250, 1300, text[1][1][2]} },
	{ name = "finish", arguments = {1250, 1100} },
	{ name = "player", arguments = {1250, 1700} }
}

levels[2] = {
	{ name = "wall", arguments = {0, 0, 2600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 600} },
	{ name = "wall", arguments = {1600, 1000, 1000, 600} },
	{ name = "wall", arguments = {0, 1600, 2600, 1000} },
	{ name = "wall", arguments = {1000, 1000, 200, 300} },
	{ name = "wall", arguments = {1400, 1000, 200, 300} },
	{ name = "wall", arguments = {1000, 1300, 100, 100} },
	{ name = "wall", arguments = {1500, 1300, 100, 100} },
	{ name = "spark", arguments = {1100, 1510} },
	{ name = "spark", arguments = {1500, 1510} },
	{ name = "text", arguments = {text[2][1][1], 1300, 1425, text[2][1][2]} },
	{ name = "finish", arguments = {1300, 1100} },
	{ name = "player", arguments = {1300, 1510} }
}

levels[3] = {
	{ name = "wall", arguments = {0, 0, 2600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 600} },
	{ name = "wall", arguments = {1600, 1000, 1000, 600} },
	{ name = "wall", arguments = {0, 1600, 2600, 1000} },
	{ name = "wall", arguments = {1000, 1000, 100, 100} },
	{ name = "wall", arguments = {1500, 1000, 100, 100} },
	{ name = "wall", arguments = {1250, 1200, 100, 400} },
	{ name = "wall", arguments = {1000, 1200, 50, 100} },
	{ name = "wall", arguments = {1350, 1200, 50, 100} },
	{ name = "wall", arguments = {1550, 1358, 50, 100} },
	{ name = "spark", arguments = {1125, 1300} },
	{ name = "spark", arguments = {1485, 1300} },
	{ name = "text", arguments = {text[3][1][1], 1300, 1125, text[3][1][2]} },
	{ name = "finish", arguments = {1125, 1450} },
	{ name = "player", arguments = {1475, 1520} }
}

levels[4] = {
	{ name = "wall", arguments = {0, 0, 2600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1200} },
	{ name = "wall", arguments = {1600, 1000, 1000, 1200} },
	{ name = "wall", arguments = {0, 2200, 2600, 1000} },
	{ name = "wall", arguments = {1000, 1000, 150, 200} },
	{ name = "wall", arguments = {1450, 1000, 150, 200} },
	{ name = "wall", arguments = {1000, 1200, 200, 100} },
	{ name = "wall", arguments = {1400, 1200, 200, 100} },
	{ name = "wall", arguments = {1000, 1900, 200, 100} },
	{ name = "wall", arguments = {1400, 1900, 200, 100} },
	{ name = "wall", arguments = {1000, 2000, 150, 200} },
	{ name = "wall", arguments = {1450, 2000, 150, 200} },
	{ name = "spark", arguments = {1300, 1950} },
	{ name = "spark", arguments = {1300, 1830} },
	{ name = "spark", arguments = {1300, 1250} },
	{ name = "circle", arguments = {1300, 1600, 125} },
	{ name = "text", arguments = {text[4][1][1], 1300, 1425, text[4][1][2]} },
	{ name = "finish", arguments = {1300, 1100} },
	{ name = "player", arguments = {1300, 2100} }
}

levels[5] = {
	{ name = "wall", arguments = {0, 0, 3400, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 600} },
	{ name = "wall", arguments = {2400, 1000, 1000, 600} },
	{ name = "wall", arguments = {0, 1600, 3400, 1000} },
	{ name = "wall", arguments = {1600, 1000, 400, 200} },
	{ name = "wall", arguments = {1600, 1400, 400, 200} },
	{ name = "wall", arguments = {2000, 1000, 400, 100} },
	{ name = "wall", arguments = {2000, 1500, 400, 100} },
	{ name = "spark", arguments = {1105, 1105} },
	{ name = "spark", arguments = {1505, 1105} },
	{ name = "spark", arguments = {1505, 1500} },
	{ name = "circle", arguments = {1300, 1300, 125} },
	{ name = "text", arguments = {text[5][1][1], 1800, 1325, text[5][1][2]} },
	{ name = "finish", arguments = {2200, 1315} },
	{ name = "player", arguments = {1105, 1500} }
}

levels[6] = {
	{ name = "wall", arguments = {0, 0, 3000, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1400} },
	{ name = "wall", arguments = {2000, 1000, 1000, 1400} },
	{ name = "wall", arguments = {0, 2400, 3000, 1000} },
	{ name = "wall", arguments = {1000, 1500, 800, 200} },
	{ name = "wall", arguments = {1000, 1000, 100, 100} },
	{ name = "wall", arguments = {1000, 1400, 100, 100} },
	{ name = "wall", arguments = {1000, 1700, 100, 100} },
	{ name = "wall", arguments = {1000, 2300, 100, 100} },
	{ name = "wall", arguments = {1700, 1400, 100, 100} },
	{ name = "wall", arguments = {1700, 1700, 100, 100} },
	{ name = "wall", arguments = {1350, 1700, 100, 100} },
	{ name = "wall", arguments = {1350, 2300, 100, 100} },
	{ name = "spark", arguments = {1900, 2050} },
	{ name = "spark", arguments = {1758, 2050} },
	{ name = "spark", arguments = {1615, 2050} },
	{ name = "spark", arguments = {1900, 1600} },
	{ name = "spark", arguments = {1615, 1250} },
	{ name = "circle", arguments = {1400, 2050, 125} },
	{ name = "circle", arguments = {2000, 1000, 250} },
	{ name = "text", arguments = {text[6][1][1], 1138, 2050, text[6][1][2]} },
	{ name = "text", arguments = {text[6][2][1], 1400, 1250, text[6][2][2]} },
	{ name = "finish", arguments = {1187, 1250} },
	{ name = "player", arguments = {1900, 2288} }
}

levels[7] = {
	{ name = "wall", arguments = {0, 0, 3000, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1400} },
	{ name = "wall", arguments = {2000, 1000, 1000, 1400} },
	{ name = "wall", arguments = {0, 2400, 3000, 1000} },
	{ name = "wall", arguments = {1000, 1000, 700, 1000} },
	{ name = "wall", arguments = {1700, 1000, 100, 100} },
	{ name = "wall", arguments = {1850, 1400, 150, 100} },
	{ name = "wall", arguments = {1700, 1680, 200, 100} },
	{ name = "wall", arguments = {1850, 2100, 150, 100} },
	{ name = "wall", arguments = {1600, 2000, 100, 200} },
	{ name = "wall", arguments = {1600, 2300, 100, 100} },
	{ name = "spark", arguments = {1850, 1310} },
	{ name = "spark", arguments = {1775, 1450} },
	{ name = "spark", arguments = {1950, 1605} },
	{ name = "spark", arguments = {1940, 1850} },
	{ name = "spark", arguments = {1760, 2030} },
	{ name = "spark", arguments = {1940, 2325} },
	{ name = "spark", arguments = {1525, 2213} },
	{ name = "spark", arguments = {1400, 2175} },
	{ name = "circle", arguments = {2000, 1500, 75} },
	{ name = "circle", arguments = {1700, 1605, 75} },
	{ name = "circle", arguments = {1850, 1940, 50} },
	{ name = "circle", arguments = {2000, 2100, 75} },
	{ name = "circle", arguments = {1600, 2000, 100} },
	{ name = "circle", arguments = {1350, 2400, 150} },
	{ name = "text", arguments = {text[7][1][1], 1848, 1600, text[7][1][2]} },
	{ name = "text", arguments = {text[7][2][1], 1775, 2325, text[7][2][2]} },
	{ name = "finish", arguments = {1156, 2200} },
	{ name = "player", arguments = {1850, 1200} }
}

levels[8] = {
	{ name = "wall", arguments = {0, 0, 4200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1600} },
	{ name = "wall", arguments = {3200, 1000, 1000, 1600} },
	{ name = "wall", arguments = {0, 2600, 4200, 1000} },
	{ name = "wall", arguments = {2400, 1000, 800, 1350} },
	{ name = "wall", arguments = {1700, 1350, 700, 900} },
	{ name = "wall", arguments = {1700, 1000, 200, 150} },
	{ name = "wall", arguments = {1700, 2450, 200, 150} },
	{ name = "wall", arguments = {1000, 1700, 200, 200} },
	{ name = "wall", arguments = {1500, 1700, 200, 200} },
	{ name = "wall", arguments = {1000, 1000, 100, 100} },
	{ name = "wall", arguments = {1000, 2500, 100, 100} },
	{ name = "wall", arguments = {2300, 2250, 100, 100} },
	{ name = "disswall", arguments = {2400, 2350, 300, 250} },
	{ name = "spark", arguments = {1800, 2350} },
	{ name = "spark", arguments = {1350, 2454} },
	{ name = "spark", arguments = {1125, 2208} },
	{ name = "spark", arguments = {1350, 1939} },
	{ name = "spark", arguments = {1350, 1661} },
	{ name = "spark", arguments = {1125, 1393} },
	{ name = "spark", arguments = {1350, 1147} },
	{ name = "circle", arguments = {2030, 2250, 100} },
	{ name = "circle", arguments = {1350, 2208, 150} },
	{ name = "circle", arguments = {1700, 2100, 150} },
	{ name = "circle", arguments = {1700, 1500, 150} },
	{ name = "circle", arguments = {1350, 1393, 150} },
	{ name = "circle", arguments = {1100, 1100, 100} },
	{ name = "text", arguments = {text[8][1][1], 2900, 2495} },
	{ name = "text", arguments = {text[8][2][1], 1350, 1800, text[8][2][2]} },
	{ name = "text", arguments = {text[8][3][1], 1800, 1290, text[8][3][2]} },
	{ name = "finish", arguments = {2130, 1175} },
	{ name = "player", arguments = {2150, 2525} }
}

levels[9] = {
	{ name = "wall", arguments = {0, 0, 3000, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1000} },
	{ name = "wall", arguments = {2000, 1000, 1000, 1000} },
	{ name = "wall", arguments = {0, 2000, 3000, 1000} },
	{ name = "wall", arguments = {1400, 1000, 200, 300} },
	{ name = "wall", arguments = {1000, 1400, 300, 300} },
	{ name = "wall", arguments = {1700, 1400, 300, 200} },
	{ name = "wall", arguments = {1000, 1700, 600, 300} },
	{ name = "wall", arguments = {1300, 1000, 100, 100} },
	{ name = "wall", arguments = {1900, 1000, 100, 100} },
	{ name = "wall", arguments = {1300, 1600, 100, 100} },
	{ name = "wall", arguments = {1900, 1600, 100, 100} },
	{ name = "wall", arguments = {1600, 1900, 100, 100} },
	{ name = "spark", arguments = {1150, 1200} },
	{ name = "spark", arguments = {1250, 1275} },
	{ name = "spark", arguments = {1650, 1350} },
	{ name = "spark", arguments = {1810, 1190} },
	{ name = "spark", arguments = {1650, 1500} },
	{ name = "circle", arguments = {1300, 1100, 75} },
	{ name = "circle", arguments = {1500, 1500, 75} },
	{ name = "circle", arguments = {1745, 1250, 50} },
	{ name = "circle", arguments = {1900, 1100, 75} },
	{ name = "text", arguments = {text[9][1][1], 1350, 1420, text[9][1][2]} },
	{ name = "text", arguments = {text[9][2][1], 1650, 1720, text[9][2][2]} },
	{ name = "finish", arguments = {1800, 1800} },
	{ name = "player", arguments = {1150, 1350} }
}

levels[10] = {
	{ name = "wall", arguments = {0, 0, 2500, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 5700} },
	{ name = "wall", arguments = {1500, 1000, 1000, 5700} },
	{ name = "wall", arguments = {0, 6700, 2500, 1000} },
	{ name = "wall", arguments = {1000, 1500, 150, 200} },
	{ name = "wall", arguments = {1350, 1500, 150, 200} },
	{ name = "wall", arguments = {1000, 2200, 150, 200} },
	{ name = "wall", arguments = {1350, 2200, 150, 200} },
	{ name = "wall", arguments = {1000, 2900, 150, 200} },
	{ name = "wall", arguments = {1350, 2900, 150, 200} },
	{ name = "wall", arguments = {1000, 3600, 150, 200} },
	{ name = "wall", arguments = {1350, 3600, 150, 200} },
	{ name = "wall", arguments = {1000, 4300, 150, 200} },
	{ name = "wall", arguments = {1350, 4300, 150, 200} },
	{ name = "wall", arguments = {1000, 5000, 150, 200} },
	{ name = "wall", arguments = {1350, 5000, 150, 200} },
	{ name = "wall", arguments = {1000, 5700, 150, 1000} },
	{ name = "wall", arguments = {1350, 5700, 150, 1000} },
	{ name = "wall", arguments = {1150, 4650, 200, 200} },
	{ name = "spark", arguments = {1250, 6198} },
	{ name = "spark", arguments = {1250, 6032} },
	{ name = "spark", arguments = {1250, 5949} },
	{ name = "spark", arguments = {1250, 5882} },
	{ name = "spark", arguments = {1250, 5700} },
	{ name = "spark", arguments = {1250, 5618} },
	{ name = "spark", arguments = {1250, 5233} },
	{ name = "spark", arguments = {1250, 5100} },
	{ name = "spark", arguments = {1250, 4533} },
	{ name = "spark", arguments = {1250, 4400} },
	{ name = "spark", arguments = {1075, 4150} },
	{ name = "spark", arguments = {1075, 4050} },
	{ name = "spark", arguments = {1075, 3950} },
	{ name = "spark", arguments = {1250, 3808} },
	{ name = "spark", arguments = {1250, 3700} },
	{ name = "spark", arguments = {1350, 3500} },
	{ name = "spark", arguments = {1150, 3350} },
	{ name = "spark", arguments = {1150, 3200} },
	{ name = "spark", arguments = {1250, 3000} },
	{ name = "spark", arguments = {1425, 2750} },
	{ name = "spark", arguments = {1425, 2650} },
	{ name = "spark", arguments = {1425, 2550} },
	{ name = "spark", arguments = {1250, 2300} },
	{ name = "spark", arguments = {1250, 1720} },
	{ name = "spark", arguments = {1250, 1600} },
	{ name = "circle", arguments = {1250, 5450, 100} },
	{ name = "circle", arguments = {1300, 4050, 150} },
	{ name = "circle", arguments = {1350, 3200, 100} },
	{ name = "circle", arguments = {1150, 3500, 100} },
	{ name = "circle", arguments = {1200, 2650, 150} },
	{ name = "sizecircle", arguments = {1250, 1950, 125, 135, 125} },
	{ name = "circle", arguments = {1500, 5000, 50} },
	{ name = "circle", arguments = {1000, 5000, 50} },
	{ name = "circle", arguments = {1000, 4500, 50} },
	{ name = "circle", arguments = {1500, 4500, 50} },
	{ name = "circle", arguments = {1425, 3873, 50} },
	{ name = "circle", arguments = {1500, 3600, 50} },
	{ name = "circle", arguments = {1068, 3165, 50} },
	{ name = "circle", arguments = {1350, 2400, 50} },
	{ name = "sizecircle", arguments = {1000, 1950, 40, 50, 40} },
	{ name = "sizecircle", arguments = {1500, 1950, 40, 50, 40} },
	{ name = "sizecircle", arguments = {1150, 1700, 40, 50, 40} },
	{ name = "sizecircle", arguments = {1350, 1700, 40, 50, 40} },
	{ name = "text", arguments = {text[10][1][1], 1250, 5020, text[10][1][2]} },
	{ name = "text", arguments = {text[10][2][1], 1250, 4320, text[10][2][2]} },
	{ name = "text", arguments = {text[10][3][1], 1350, 3420, text[10][3][2]} },
	{ name = "text", arguments = {text[10][4][1], 1250, 2920, text[10][4][2]} },
	{ name = "text", arguments = {text[10][5][1], 1250, 2220, text[10][5][2]} },
	{ name = "text", arguments = {text[10][6][1], 1200, 2120, text[10][6][2]} },
	{ name = "text", arguments = {text[10][7][1], 1300, 2120, text[10][7][2]} },
	{ name = "text", arguments = {text[10][8][1], 1250, 1480, text[10][8][2]} },
	{ name = "finish", arguments = {1250, 1250, true} },
	{ name = "player", arguments = {1250, 6500} },
}
